Package Details: linux-kata-bin 2.2.0-1

Git Clone URL: https://aur.archlinux.org/kata-containers-bin.git (read-only, click to copy)
Package Base: kata-containers-bin
Description: Lightweight virtual machines for containers (version 2, binary packaging)
Upstream URL: https://katacontainers.io
Licenses: Apache
Conflicts: kata-linux-container, kata1-linux-container, kata2-linux-container, linux-kata, linux-kata1
Provides: kata-linux-container, kata2-linux-container, linux-kata
Submitter: zer0def
Maintainer: zer0def
Last Packager: zer0def
Votes: 0
Popularity: 0.000000
First Submitted: 2021-05-21 00:27
Last Updated: 2021-09-01 08:44

Dependencies (0)

Required by (4)

Sources (1)

Latest Comments

zer0def commented on 2021-08-30 19:02

Just for completeness, if there's anything wrong with the source PKGBUILD, I highly encourage remarking on that there, as it's not exactly stellar work.

I also intend to bump all packages up to 2.2.0 as soon as stable's released.

ianu commented on 2021-08-30 17:27

Thanks for the tip. I'll take a look at those options...

zer0def commented on 2021-08-30 12:10

You could always use only kata-containers-image-bin for images and try to compile kata-runtime from it's own separate source-based package, substituting the tarball for GitHub's zip package, like https://github.com/kata-containers/kata-containers/archive/87bbae1bd7d2563d39a47a125e9f4a7609caf5ad.zip.

ianu commented on 2021-08-30 11:25

I've just noticed that there's a similar issue with firecracker where there's a fix for parsing version numbers > 0.25

https://github.com/kata-containers/kata-containers/commit/87bbae1bd7d2563d39a47a125e9f4a7609caf5ad#diff-c8ff8741ddb9a9dfa44fc69eb9cb5290b7356e5879ddb13bdc66e28dfce6d6e5

Neither are in the latest release -- I spot now the PKGBUILD is based on releases and changing to build from source looks to be quite a big lift... I guess we might have to wait for the next release :-(

ianu commented on 2021-08-30 11:03

This version has an issue with qemu_amd64.go (fixed in https://github.com/kata-containers/kata-containers/commit/316509566966e4c9b3fd9ba3521554b384fdbf88 )

It passes kernel_irqchip without " =on|off " which means qemu won't start.

That was fixed on July 28, although the latest release was 2.1.1 on 11th June I was wondering if you'd be able to update the package to at least that commit thanks

zer0def commented on 2021-05-22 04:57

Fixed, thanks for the feedback, lightdot.

lightdot commented on 2021-05-22 02:19

I'm building kata 2 binary release with aurutils, an AUR helper capable of dependency resolution.

If I start by building kata-runtime-bin, it tries to pull linux-kata instead of the expected linux-kata-bin.

Starting with linux-kata-bin instead, causes kata-runtime-bin and kata-containers-image-bin to be pulled, as expected.

This might be entirely my AUR helper's doing, but I'm reporting here nonetheless, in case someone else encounters the same issue.